package cn.iocoder.yudao.framework.security.core.myVo;

public class LoginUserInfo {
    private String orgName;
    private String userPhoto;
    private String loginId;
    private String roleId;
    private DataAuth dataAuth;
    private String phoneNum;
    private String userName;
    private String accessToken;
    private String userId;
    private String orgId;
    private Integer expiresIn;
    private String orgType;
    private String userState;
    private String clientIp;
    private String roleName;
    private String imei;
    private String refreshToken;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getUserPhoto() {
        return userPhoto;
    }

    public void setUserPhoto(String userPhoto) {
        this.userPhoto = userPhoto;
    }

    public String getLoginId() {
        return loginId;
    }

    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public DataAuth getDataAuth() {
        return dataAuth;
    }

    public void setDataAuth(DataAuth dataAuth) {
        this.dataAuth = dataAuth;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }

    public String getOrgType() {
        return orgType;
    }

    public void setOrgType(String orgType) {
        this.orgType = orgType;
    }

    public String getUserState() {
        return userState;
    }

    public void setUserState(String userState) {
        this.userState = userState;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    @Override
    public String toString() {
        return "LoginUserInfo{" +
                "orgName='" + orgName + '\'' +
                ", userPhoto='" + userPhoto + '\'' +
                ", loginId='" + loginId + '\'' +
                ", roleId='" + roleId + '\'' +
                ", dataAuth=" + dataAuth +
                ", phoneNum='" + phoneNum + '\'' +
                ", userName='" + userName + '\'' +
                ", accessToken='" + accessToken + '\'' +
                ", userId='" + userId + '\'' +
                ", orgId='" + orgId + '\'' +
                ", expiresIn=" + expiresIn +
                ", orgType='" + orgType + '\'' +
                ", userState='" + userState + '\'' +
                ", clientIp='" + clientIp + '\'' +
                ", roleName='" + roleName + '\'' +
                ", imei='" + imei + '\'' +
                ", refreshToken='" + refreshToken + '\'' +
                '}';
    }
}
